import { Component } from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';
import './style.less';

class TipDemo extends Component {
    constructor(props) {
        super(props);
        console.log('tipDemo');
    }

    render() {
        const clsPrefix = 'c-tipdemo';
        const { className, style, children } = this.props;
        const cls = classNames(clsPrefix, className);

        return (
            <div style={style} className={cls}>
                {children}
            </div>
        );
    }
}

TipDemo.defaultProps = {
    className: '',
    style: {},
    children: null,
};

TipDemo.propTypes = {
    className: PropTypes.string,
    style: PropTypes.objectOf(PropTypes.any),
    children: PropTypes.node,
};

export default TipDemo;
